## org.apache.aries.subsystem.core.archive
Class GenericClause

    java.lang.Object
      org.apache.aries.subsystem.core.archive.GenericClause

All Implemented Interfaces:
  Clause

    public class GenericClause

extends Object
implements Clause

Constructor Summary
`GenericClause(String clause)`

Method Summary
`Attribute` `getAttribute(String name)`
`Collection<Attribute>` `getAttributes()`
`Directive` `getDirective(String name)`
`Collection<Directive>` `getDirectives()`
`Parameter` `getParameter(String name)`
`Collection<Parameter>` `getParameters()`
`String` `getPath()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericClause

    public GenericClause(String clause)

Method Detail

### getAttribute

    public Attribute getAttribute(String name)

  Specified by:
    `getAttribute` in interface `Clause`

### getAttributes

    public Collection<Attribute> getAttributes()

  Specified by:
    `getAttributes` in interface `Clause`

### getDirective

    public Directive getDirective(String name)

  Specified by:
    `getDirective` in interface `Clause`

### getDirectives

    public Collection<Directive> getDirectives()

  Specified by:
    `getDirectives` in interface `Clause`

### getParameter

    public Parameter getParameter(String name)

  Specified by:
    `getParameter` in interface `Clause`

### getParameters

    public Collection<Parameter> getParameters()

  Specified by:
    `getParameters` in interface `Clause`

### getPath

    public String getPath()

  Specified by:
    `getPath` in interface `Clause`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.